Subject: bug#69974: closed (Re: bug#69974: 30.0.50; bookmark-set: fringe icon)

From: [email-masked] (GNU bug Tracking System)
Date: Mon, 25 Mar 2024 19:12:02 +0000

Your bug report

#69974: 30.0.50; bookmark-set: fringe icon

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
69974: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=69974
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#69974: 30.0.50; bookmark-set: fringe icon
From: Eli Zaretskii <[email-masked]>
To: Dani Moncayo <[email-masked]>
Cc: [email-masked]
Date: Mon, 25 Mar 2024 21:11:08 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

> From: Dani Moncayo <[email-masked]>
> Date: Mon, 25 Mar 2024 19:31:48 +0100
> Cc: [email-masked]
> 
> > Thanks, should be fixed now on the master branch.
> 
> Indeed, it is. Thanks!

Thanks for testing, I'm therefore closing this bug.

Subject: 30.0.50; bookmark-set: fringe icon
From: Dani Moncayo <[email-masked]>
To: bug-gnu-emacs <[email-masked]>
Date: Sun, 24 Mar 2024 11:28:24 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Recibe from "emacs -Q":
1. Open the Emacs manual [C-h r].
2. Set a named bookmark in some line of the *info* page [C-x r m f o o RET].
3. Move point to another line and repeat step #2 (using the same name
for the bookmark).

When I do this, I end up seeing two icons in the fringe. See attached
screenshot.
There should be only one icon, since there is only one bookmark set.

I've reproduced this using both GNU/Linux (WSL) and MS-Windows native
port of Emacs.

----
Dani Moncayo

In GNU Emacs 30.0.50 (build 17, x86_64-pc-linux-gnu, GTK+ Version
 3.24.38, cairo version 1.18.0) of 2024-03-24 built on C11-Q8YAKWONJX0
Repository revision: 30b1b0d7cd8e4d46a601e9737350cda970f6bab0
Repository branch: master
Windowing system distributor 'Microsoft Corporation', version 11.0.12010000
System Description: Ubuntu 23.10

Configured features:
CAIRO DBUS FREETYPE GIF GLIB GMP GNUTLS GSETTINGS HARFBUZZ JPEG
LIBSELINUX LIBXML2 MODULES NOTIFY INOTIFY PDUMPER PNG SECCOMP SOUND
THREADS TIFF TOOLKIT_SCROLL_BARS TREE_SITTER WEBP X11 XDBE XIM XINPUT2
XPM GTK3 ZLIB

Important settings:
  value of $LANG: C.UTF-8
  locale-coding-system: utf-8-unix

-- 
Dani Moncayo